Bug 841743 - [RFE] bkr command option to turn off panic detection for submitting task
[RFE] bkr command option to turn off panic detection for submitting task
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.9.2
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 02:29 EDT by Jun'ichi NOMURA
Modified: 2012-08-16 18:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 04:06:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to add "--disable_panic_detection" for bkr (1.60 KB, patch)
2012-07-20 02:29 EDT, Jun'ichi NOMURA
no flags Details | Diff

  None (edit)
Description Jun'ichi NOMURA 2012-07-20 02:29:33 EDT
Created attachment 599312 [details]
A patch to add "--disable_panic_detection" for bkr

[RFE] bkr command option to turn off panic detection for submitting task

For crash dump testing, users has to turn off panic detection
so that beaker does not consider an intentional panic as a test failure.

Panic detection can be turned off by setting "panic=ignore" for recipes.
However it is possible only via editing recipe XML.

It is nice to have an option for "bkr workflow-simple" to turn off
panic detection.

Attached is a naive patch to implemet it.

Example of our usage:
  bkr workflow-simple \
     --machine $MACHINE --arch $ARCH --distro $DISTRO \
     --task=/dumptest1 --task=/dumptest2 \
     --disable_panic_detection
Comment 1 Bill Peck 2012-07-24 09:53:24 EDT
http://gerrit.beaker-project.org/#/c/1237/
Comment 3 Dan Callaghan 2012-08-09 04:06:50 EDT
Beaker 0.9.2 has been released.
Comment 4 Jun'ichi NOMURA 2012-08-16 02:49:27 EDT
(Sorry, solution is not clear. Please confirm if the following is correct.)

"--ignore-panic" is added to turn off panic detection.
Comment 5 Dan Callaghan 2012-08-16 18:28:21 EDT
(In reply to comment #4)
> (Sorry, solution is not clear. Please confirm if the following is correct.)
> 
> "--ignore-panic" is added to turn off panic detection.

Yes that's right.

Note You need to log in before you can comment on or make changes to this bug.